mxnet-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [incubator-mxnet] eric-haibin-lin opened a new issue #18849: contextvar dependency for MXNet nightly build
Date Mon, 03 Aug 2020 16:04:39 GMT

eric-haibin-lin opened a new issue #18849:
URL: https://github.com/apache/incubator-mxnet/issues/18849


   When installing the mxnet nightly build, it does not install the contextvars dependency
automatically via pip. 
   ```
   ubuntu@ip-172-31-42-138:~$ pip3 install https://repo.mxnet.io/dist/python/cpu/mxnet-2.0.0b20200801-py2.py3-none-manylinux2014_x86_64.whl
--user
   Collecting mxnet==2.0.0b20200801
     Using cached https://repo.mxnet.io/dist/python/cpu/mxnet-2.0.0b20200801-py2.py3-none-manylinux2014_x86_64.whl
(51.8 MB)
   Requirement already satisfied: requests<3,>=2.20.0 in ./.local/lib/python3.6/site-packages
(from mxnet==2.0.0b20200801) (2.24.0)
   Requirement already satisfied: numpy<2.0.0,>1.16.0 in ./.local/lib/python3.6/site-packages
(from mxnet==2.0.0b20200801) (1.19.0)
   Requirement already satisfied: graphviz<0.9.0,>=0.8.1 in ./.local/lib/python3.6/site-packages
(from mxnet==2.0.0b20200801) (0.8.4)
   Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in /usr/local/lib/python3.6/dist-packages
(from requests<3,>=2.20.0->mxnet==2.0.0b20200801) (1.24.3)
   Requirement already satisfied: chardet<4,>=3.0.2 in /usr/lib/python3/dist-packages
(from requests<3,>=2.20.0->mxnet==2.0.0b20200801) (3.0.4)
   Requirement already satisfied: certifi>=2017.4.17 in /usr/lib/python3/dist-packages
(from requests<3,>=2.20.0->mxnet==2.0.0b20200801) (2018.1.18)
   Requirement already satisfied: idna<3,>=2.5 in /usr/lib/python3/dist-packages (from
requests<3,>=2.20.0->mxnet==2.0.0b20200801) (2.6)
   Installing collected packages: mxnet
   pySuccessfully installed mxnet-2.0.0b20200801
   WARNING: You are using pip version 20.1.1; however, version 20.2 is available.
   You should consider upgrading via the '/usr/bin/python3 -m pip install --upgrade pip' command.
   ubuntu@ip-172-31-42-138:~$ python3
   Python 3.6.9 (default, Jul 17 2020, 12:50:27)
   [GCC 8.4.0] on linux
   Type "help", "copyright", "credits" or "license" for more information.
   >>> import mxnet
   Traceback (most recent call last):
     File "<stdin>", line 1, in <module>
     File "/home/ubuntu/.local/lib/python3.6/site-packages/mxnet/__init__.py", line 23, in
<module>
       from .context import Context, current_context, cpu, gpu, cpu_pinned
     File "/home/ubuntu/.local/lib/python3.6/site-packages/mxnet/context.py", line 18, in
<module>
       import contextvars
   ModuleNotFoundError: No module named 'contextvars'
   >>>
   KeyboardInterrupt
   ```


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



Mime
View raw message